cpulimit is left waiting for PID

Bug #200115 reported by Fernando Miguel on 2008-03-09
6
Affects Status Importance Assigned to Milestone
cpulimit (Ubuntu)
Low
gregor herrmann

Bug Description

Binary package hint: cpulimit

a user can lunch cpulimit with cpulimit -l LIMIT -e PROGRAM or cpulimit -l LIMIT -p PID
if -z is issue then cpulimit will exit once the program exits too.

but if the user uses the PID, then cpulimit will remain running waiting for that same PID, and as far as I know, PID are never reused, and even if it was, it wouldn't have been for the same process.

So, cpulimit should always FORCE -z (-z, --lazy exit if there is no suitable target process, or if it dies) when using -p ( -p, --pid=N pid of the process).

gregor herrmann (gregoa) wrote :

Hi,

thanks for your bug report!

I'm the maintainer of cpulimit in Debian; I've talked with the upstream author about this issue and he said he'll fix it in his development branch soon.
Once the new package is in Debian it will get to Ubuntu soon afterwards.

Cheers,
gregor

Changed in cpulimit:
assignee: nobody → gregor+debian
status: New → Confirmed

Hi Gregor.
Thanks for the feedback.

please set the proper Importance on this bug, IMO Low.
I guess will have it on Hardy +1?

gregor herrmann (gregoa) on 2008-03-12
Changed in cpulimit:
importance: Undecided → Low

On Wed, 12 Mar 2008 09:17:09 -0000, Fernando Pereira wrote:

> please set the proper Importance on this bug, IMO Low.

Done, thanks for the hint.

> I guess will have it on Hardy +1?

Probably, although I have to admit that I don't know much about
Ubuntu timetables ...

Cheers,
gregor

--
 .''`. http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' : debian: the universal operating system - http://www.debian.org/
 `. `' member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `- NP: Status Quo: Anniversary Waltz Part 2 (Medley)

On Wednesday 12 March 2008 18:02:56 gregor herrmann wrote:
> On Wed, 12 Mar 2008 09:17:09 -0000, Fernando Pereira wrote:
> > I guess will have it on Hardy +1?
>
> Probably, although I have to admit that I don't know much about Ubuntu timetables ...
>
> Cheers,
> gregor

this might help:
https://wiki.ubuntu.com/HardyReleaseSchedule
https://wiki.ubuntu.com/FeatureFreeze
https://lists.ubuntu.com/archives/ubuntu-devel-announce/2008-February/000377.html

--
BUGabundo :o)
(``-_-´´) http://Ubuntu.BUGabundo.net
Linux user #443786 GPG key 1024D/A1784EBB
My new micro-blog @ http://BUGabundo.net
ps. My emails tend to sound authority and aggressive. I'm sorry in advance. I'll try to be more assertive as time goes by...

jessesmith (jessefrgsmith) wrote :

Please find attached a patch to fix this behaviour. I'll but submitting this upstream, but figured there's no need to wait for the next release as it's a simple, one-line fix.

tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cpulimit - 1.3-1

---------------
cpulimit (1.3-1) unstable; urgency=low

  * New upstream release (LP: #200115).
  * New upstream maintainer and location:
    - debian/watch: update URL
    - debian/control: update Homepage
    - debian/copyright: update upstream copyright and license
    - remove all patches (applied upstream), remove quilt framework
    - remove manpage from debian/ directory, shipped upstream
  * Set Standards-Version to 3.9.2 (no changes).
  * Bump debhelper compatibility level to 8.
  * debian/copyright: update formatting and packaging copyright years.
  * Switch to source format 3.0 (quilt).
  * Set PREFIX in debian/rules and create necessary directories.
 -- Ubuntu Archive Auto-Sync <email address hidden> Mon, 09 May 2011 11:51:15 +0000

Changed in cpulimit (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers